# Web-Maker 🕸🛠

---

**Web-Maker** is an offline playground for your web experiments. Something like CodePen or JSFiddle, but much more faster and works offline because it runs completely on your system.

## [Open Web App](https://webmaker.app/app/) (Recommended: More features. More fun!)

or

## [Install Chrome extension](https://chrome.google.com/webstore/detail/web-maker/lkfkkhfhhdkiemehlpkgjeojomhpccnh)

![Screenshot](/packages/website/images/ss1.png)

## Features

- Supports Preprocessors: HTML (Pug & Markdown), CSS (SCSS, LESS & Stylus, Atomic CSS) & JavaScript (ES6, TypeScript & CoffeeScript)
- Works offline
- Quick creation & good-old files mode
- Inbuilt Console
- Save and load your creations
- Auto-save feature
- Code auto-completion
- Easy addition of popular JS & CSS libraries
- Import & Export all creations anytime, anywhere
- Multiple editor themes & other configurable settings
- Font options + use any system font!
- Very easily accessible. Simply open a new tab in Chrome! (in chrome extension only)
- Multiple layouts to choose from
- Capture preview screenshot (in Chrome extension only)
- Save as HTML file
- Edit in CodePen

Follow [@webmakerApp](https://twitter.com/intent/follow?screen_name=webmakerApp) for updates or tweet out feature requests and suggestions.

## Support Web Maker

Hi! I am Kushagra Gour. Web Maker is a free and open-source project. To keep myself motivated for working on such open-source and free [side projects](https://kushagra.dev/lab), I have launched a [Patreon campaign](https://patreon.com/kushagra). Your pledge, no matter how small, will act as an appreciation towards my work and keep me going forward making Web Maker more awesome🔥.

[![Become a patron](/src/assets/patreon.png)](https://patreon.com/kushagra)

Support with $ETH - 0x39989c0E53cfdcF6792e09d7573c65E911e774bA

If not that, you can support by simply sharing about how much you love 💖 [@webmakerapp](https://twitter.com/webmakerApp).

## Sponsors

[![](https://user-images.githubusercontent.com/379918/134402085-15cf29bc-2266-4b2d-9354-1830adc4a240.png)](https://cssbattle.dev)

Web Maker stays stable as rock with every release, thanks to the sponsored testing on the awesome
<a href="http://browserstack.com/"><img alt="Browserstack logo" src="https://user-images.githubusercontent.com/379918/134403020-50167453-223a-4841-8ef6-312219bcb2e6.png" height="60"></a>

Deployed on the superfast [Netlify](https://www.netlify.com/) platform.

## License

MIT Licensed

Copyright (c) 2016-2022 Kushagra Gour, [webmaker.app](https://webmaker.app)
